Bug 164381

Summary: maximize unmaximizes itself
Product: [Fedora] Fedora Reporter: Joe Beanfish <joebeanfish>
Component: gnome-terminalAssignee: Behdad Esfahbod <behdad>
Status: CLOSED WONTFIX QA Contact:
Severity: low Docs Contact:
Priority: medium    
Version: 6CC: triage
Target Milestone: ---   
Target Release: ---   
Hardware: i386   
OS: Linux   
Whiteboard: bzcl34nup
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2008-05-06 11:30:30 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description Joe Beanfish 2005-07-27 11:06:38 EDT
Description of problem:

I don't know if this problem is caused by gnome terminal or the window manager. 
I use gnome terminal 2.10.0 with kde 3.4.0-6 (FC 4 dist.).

When I maximize the terminal it resizes itself a little so the window size is an 
integral multiple of char size. But now the window is not "maximized" (but fills 
the screen) and I can't "unmaximize" it. I have to manually resize it back to 
normal. Is there anything that can be done about it?

BTW, I was previously running FC1 (don't know term and kde versions) and did not 
have this problem. Also xterm and konsole don't currently exhibit this behavior.

Version-Release number of selected component (if applicable):
2.10.0

How reproducible:
totally

Steps to Reproduce:
1. Run gnome terminal under kde
2. Click maximize
  
Actual results:
Full screen (nearly) window that the window manager doesn't consider 
"maximized".

Expected results:
Full screen (or nearly) window that the window manager considers "maximized" 
such that it may be "unmaximized" back to where it was.
Comment 1 Christian Iseli 2007-01-19 19:20:26 EST
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.
Comment 2 Joe Beanfish 2007-01-22 18:01:11 EST
Still occurs in FC6.
KDE Version 3.5.5-0.2
Gnome-Terminal version 2.16.0
Comment 3 Joe Beanfish 2007-01-25 15:15:14 EST
Also occurs with gvim 7.0.109 (in FC6).
Comment 4 Bug Zapper 2008-04-03 21:59:33 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 5 Bug Zapper 2008-05-06 11:30:27 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.